import sys      #
import time     # 
import socket   # aseryla connections

 

 
 
 
## Aseryla server communication ###################################################################################################################
 
EndCommSymbol = "\b"
 
# manages a socket read message
def socket_receive(sock):
    total_data=[]
    data=''
    while True:
            data=sock.recv(8192)
            if EndCommSymbol in data:
                total_data.append(data[:data.find(EndCommSymbol)])
                break
            total_data.append(data)
            if len(total_data)>1:
                #check if end_of_data was split
                last_pair=total_data[-2]+total_data[-1]
                if EndCommSymbol in last_pair:
                    total_data[-2]=last_pair[:last_pair.find(EndCommSymbol)]
                    total_data.pop()
                    break
    return ''.join(total_data)
	
 
	
 
 
def send_process(sentence):
     
    try:
        # connect with the server
        sock = socket.socket()
        sock.connect(("localhost", 9902))
 
        sock.sendall(sentence + "\n")
 
        # read the response
        res = socket_receive(sock)
 
        # close the communication    
        sock.close()
 
        return res
    except:
        return ""
 
 
 
 
 
 
 
 
 
 
 
lines = []
num = 0
li = ""

with open('nouns.txt', 'rt') as wfile:
    for line in wfile:
        li = li + line
        num = num + 1
        if num == 600:
            lines.append(li[:-1].replace("\n", " "))
            num = 0
            li = ""

if len(li) > 0:
     lines.append(li[:-1].replace("\n", " "))


outf = open('nouns_ilc.txt', 'wt')
num = 0
start = time.clock()
                         
for l in lines:
    res = send_process(l)
    if len(res) == 0:
        print "NLP failed"
        break

    tokens = res.split("<token>")
    for i in range(1, len(tokens)):
        ws = 6
        we = tokens[i].find("</", ws)
        ls = tokens[i].find("<lemma>", we) + 7
        le = tokens[i].find("</", ls)
        outf.write("WORD N " + tokens[i][ws:we] + " " + tokens[i][ls:le] + "\n")

    num = num + 1
    print num
    
                         
print "%6.3f" % (float(int(round((time.clock() - start) * 1000))) / 1000)

outf.close()


        
            
