
concept = ""
isadj = 0
isvrb = 0
isnoun = 0
hasdesc = 0

nouns = []
adjs = []
verbs = []
plural = []
nonenglish = []
proper = []
descs = []
synom = []
hyper = []
hypon = []
holom = []

with open('pages-extracted.txt', 'rt') as memfile:
    for line in memfile:

        if line == "------\n":
            if isadj:
                adjs.append(concept)
            if isvrb:
                verbs.append(concept)
            if isnoun and not hasdesc:
                nouns.append(concept)
                
            concept = ""
            isadj = 0
            isvrb = 0
            isnoun = 0
            hasdesc = 0
            
        else:
            if concept == "":
                concept = line.strip()
            else:
                if line == "adj \n":
                    isadj = 1
                else:
                    if line == "vrb \n":
                        isvrb = 1
                    else:
                        if line[0:5] == "noun ":
                            isnoun = 1
                            desc = line[4:].strip()
                            if len(desc) > 0:
                                hasdesc = 1
                                descs.append(concept + " is " + desc[0].lower() + desc[1:])
                        else:
                            if line == "proper \n":
                                proper.append(concept)
                            else:
                                if line == "nonenglish\n":
                                    nonenglish.append(concept)
                                else:
                                    if line[0:7] == "plural ":
                                        plural.append(concept + "-" + line[7:].strip())
                                    else:
                                        if line[0:10] == "synonyms: ":
                                            for p in line[10:].strip().split(","):
                                                synom.append(concept + " is a " + p)
                                                synom.append(p + " is a " + concept)
                                        else:
                                            if line[0:11] == "hypernyms: ":
                                                for p in line[11:].strip().split(","):
                                                    hyper.append(concept + " is a " + p)
                                            else:
                                                if line[0:10] == "hyponyms: ":
                                                    for p in line[10:].strip().split(","):
                                                        hypon.append(p + " is a " + concept)
                                                else:
                                                    if line[0:10] == "holonyms: ":
                                                        for p in line[10:].strip().split(","):
                                                            holom.append(p + " has " + concept)



outf = open('nouns.txt', 'wt')
nouns.extend(plural)
outf.write("\n".join(nouns))
outf.close()


outf = open('adjs.txt', 'wt')
outf.write("\n".join(adjs))
outf.close()


outf = open('verbs.txt', 'wt')
outf.write("\n".join(verbs))
outf.close()

outf = open('non.txt', 'wt')
proper.extend(nonenglish)
outf.write("\n".join(proper))
outf.close()
         
outf = open('desc.txt', 'wt')
outf.write(".\n".join(descs))
outf.write(".\n".join(synom))
outf.write(".\n".join(descs))
outf.write(".\n".join(hyper))
outf.write(".\n".join(hypon))
outf.write(".\n".join(holom))
outf.close()

print "end"
         



























